ViewFunctions.NuevaMedicionFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface ViewFunctions.NuevaMedicionFunctions

- All Known Implementing Classes:
    NuevaMedicionFragment
  Enclosing interface:
    ViewFunctions

      public static interface ViewFunctions.NuevaMedicionFunctions

  Interfaz correspondiente al `Fragment NuevaMedicionFragment`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayErrorDatabase()` Metodo que muestra un mensaje de error cuando se ha intentado introducir una nueva medicion en la Base de Datos.
    `void` | `displayErrorUser()` Metodo que muestra un mensaje de error cuando el usuario ha introducido algun dato erroneo, o no ha rellenado alguno de los campos obligatorios al almacenar una nueva medicion.
    `void` | `displaySuccess()` Metodo que muestra un mensaje de exito cuando se ha logrado almacenar correctamente una medicion en la Base de Datos.
    `void` | `setConstantesBundle(java.util.ArrayList<java.lang.String> constantesBundle)` Metodo que se encarga de asignar a las variables locales, la informacion contenida en el `Bundle`
    `void` | `setLayoutVisibility(int layout, int visible)` Metodo que se encarga de modificar la visibilidad del `LinearLayout` en funcion del segundo parametro que se recibe
    `void` | `setText(int textView, java.lang.String text)` Metodo que se encarga de escribir en el `TextView` indicado el texto que recibe como parametro.

- - ### Method Detail

    - #### setConstantesBundle

          void setConstantesBundle(java.util.ArrayList<java.lang.String> constantesBundle)

      Metodo que se encarga de asignar a las variables locales, la informacion contenida en el `Bundle`
      Parameters:
        `constantesBundle` - `ArrayList` con las constantes para obtener la informacion del `Bundle`

    - #### setText

          void setText(int textView,
                       java.lang.String text)

      Metodo que se encarga de escribir en el `TextView` indicado el texto que recibe como parametro.
      Parameters:
        `textView` - `TextView` en el que se debe escribir
        `text` - Texto a escribir

    - #### setLayoutVisibility

          void setLayoutVisibility(int layout,
                                   int visible)

      Metodo que se encarga de modificar la visibilidad del `LinearLayout` en funcion del segundo parametro que se recibe
      Parameters:
        `layout` - `LinearLayout` sobre el que se aplica este metodo
        `visible` - Visibilidad a asignar

    - #### displaySuccess

          void displaySuccess()

      Metodo que muestra un mensaje de exito cuando se ha logrado almacenar correctamente una medicion en la Base de Datos.

    - #### displayErrorDatabase

          void displayErrorDatabase()

      Metodo que muestra un mensaje de error cuando se ha intentado introducir una nueva medicion en la Base de Datos.

    - #### displayErrorUser

          void displayErrorUser()

      Metodo que muestra un mensaje de error cuando el usuario ha introducido algun dato erroneo, o no ha rellenado alguno de los campos obligatorios al almacenar una nueva medicion.